Subject: Re: pci issue - wrong detection of pci ressources

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Apr 2008 07:13:46 +1000

On Mon, 2008-04-21 at 13:55 +0200, Christian Ehrhardt wrote:
> Benjamin Herrenschmidt wrote:
> >> Yes you're right. Early at the pci initialization are errors of the allocation for pi ressources.
> >> And that are exactly the ressources failing later, so that pci initialization seem to be the reason for my problem.
> >> Was there any simple solution (e.g. just somehow increase memory reserved for pci) when you came across that issue Johan ?
> > 
> > Hrm... I was expecting to see a lot more output here, make sure you have
> > "debug" on your command line (or enable early debug output, same
> > effect).
> 
> There is nothing more even with debug in kernel command line.

Weird. pcibios_fixup_resources() should have printed things that I
didn't see in your log, which is why I asked...

I -think- your card is just asking too much, more than what we know how
to assign, but that doesn't explain why it used to work. I'll have to
dig a bit more.

You can assign more by changing the "ranges" property in the .dts, I
would expect the 44x PCI code I wrote to automatically adjust.

Cheers,
Ben.